$(document).ready(function () {
    initialize();
    bindEvent();
});
function initialize(){
    UICtrl.layout("#layout", {leftWidth: 3});
    $("#back").hide()
}

function bindEvent(){
    // $("#result").combox({onChange:function(data){
    //         var handleOpinion = $("#handleOpinion").val();
    //         $("#handleOpinion").val(data.text + "-" + handleOpinion)
    //     }
    // })
}

function getExtendedData(processAction) {
    var handleResult = getHandleResult();
    //回退、打回、转交时，不需要验证必填项是否已经填写；
    if (processAction == ProcessAction.BACK
        || processAction == ProcessAction.REPLENISH
        || processAction == ProcessAction.TRANSMIT || "2" == handleResult) {
        //不验证
        $('#submitForm').attr('check', false);
    }
    return true;
}

/**
 * 流程引擎回调设置打样的id
 * @param value
 */
function setId(id) {
    $("#id").val(id);
}

/**
 * 流程引擎获取打样申请id的回掉方法。
 * @return
 */
function getId() {
    return $("#id").val() || "";
}
